package com.android.launcher3.accessibility;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Build;

import com.android.launcher3.manager.LauncherManager;

public class AutoRunReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context mContext, Intent intent) {

        if (intent.getAction().equals(Intent.ACTION_BOOT_COMPLETED)){
            Intent intent2 = new Intent(mContext, ListenerAppService.class);
            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
                mContext.startForegroundService(intent2);
            } else {
                mContext.startService(intent2);
            }
        }
    }
}
